Bug 630711 - [abrt] gnome-applet-timer-2.1.3-1.fc13: Timer.py:79:reset:AssertionError
Summary: [abrt] gnome-applet-timer-2.1.3-1.fc13: Timer.py:79:reset:AssertionError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-applet-timer
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e773fc75
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-06 18:45 UTC by Sebastian
Modified: 2010-11-15 22:15 UTC (History)
2 users (show)

Fixed In Version: gnome-applet-timer-2.1.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 22:15:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (497 bytes, text/plain)
2010-09-06 18:45 UTC, Sebastian
no flags Details

Description Sebastian 2010-09-06 18:45:33 UTC
abrt version: 1.1.13
architecture: i686
cmdline: python /usr/lib/timer-applet/timer-applet --oaf-activate-iid=OAFIID:TimerApplet_Factory --oaf-ior-fd=26
component: gnome-applet-timer
executable: /usr/lib/timer-applet/timer-applet
kernel: 2.6.33.8-149.fc13.i686
package: gnome-applet-timer-2.1.3-1.fc13
reason: Timer.py:79:reset:AssertionError
release: Fedora release 13 (Goddard)
time: 1283798647
uid: 500

backtrace
-----
Timer.py:79:reset:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/timerapplet/controllers/TimerApplet.py", line 125, in <lambda>
    ('StopTimer', lambda component, verb: self._timer.reset()),
  File "/usr/lib/python2.6/site-packages/timerapplet/core/Timer.py", line 79, in reset
    assert self._state != Timer.STATE_IDLE
AssertionError

Local variables in innermost frame:
self: <Timer object at 0x988a5f4 (timerapplet+core+Timer+Timer at 0x9903990)>

How to reproduce
-----
1. stopping the timer
2. starting a new one

Comment 1 Sebastian 2010-09-06 18:45:36 UTC
Created an attachment (id=443352)
File: backtrace

Comment 2 Fedora Update System 2010-11-06 18:11:37 UTC
gnome-applet-timer-2.1.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gnome-applet-timer-2.1.4-1.fc13

Comment 3 Christoph Wickert 2010-11-06 18:13:52 UTC
Please test the new version and tell me if you can reproduce the crash. Feeback can be given in this bug report or in the updates system at 
https://admin.fedoraproject.org/updates/gnome-applet-timer-2.1.4-1.fc13

Comment 4 Fedora Update System 2010-11-06 23:39:04 UTC
gnome-applet-timer-2.1.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-applet-timer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gnome-applet-timer-2.1.4-1.fc13

Comment 5 Fedora Update System 2010-11-15 22:15:19 UTC
gnome-applet-timer-2.1.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.